
QGIS Application - Bug report #8366

DB Manager error with retrieve columns from SQL Window

2013-07-26 06:16 PM - Pedro Venâncio

Status: Closed

Priority: Severe/Regression

Assignee:

Category: DB Manager

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17143

Description

The execution of the query works well, as well as the "load the new layer" when choosing the "id" and "geometry" fields manually. Making

"retrieve columns", it throws this error:

An error has occured while executing Python code:

Traceback (most recent call last):

  File "/usr/share/qgis/python/plugins/db_manager/dlg_sql_window.py", line 229, in fillColumnCombos

    if not query.contains( QRegExp(escaped, Qt.CaseInsensitive) ):

AttributeError: 'unicode' object has no attribute 'contains'

Python version:

2.7.3 (default, Apr 10 2013, 06:03:17) 

[GCC 4.6.3]

QGIS version:

1.9.0-Master Master, exported

Associated revisions

Revision 9cabd33c - 2013-07-28 10:44 PM - Salvatore Larosa

Fix #8366

Revision 3d6fd9a6 - 2013-07-29 04:42 AM - Nathan Woodrow

Merge pull request #773 from slarosa/fix_8366

Fix #8366

History

#1 - 2013-07-27 07:11 AM - Giovanni Manghi

- OS version deleted (Xubuntu 12.04)

- Operating System deleted (Linux)

- Priority changed from Normal to Severe/Regression
it works fine on QGIS 1.8

#2 - 2013-07-28 07:42 PM - Nathan Woodrow

- Status changed from Open to Closed

Fixed in changeset commit:"3d6fd9a66e8259c348c961128ec721ca9537cf17".
